FFe: Sync mikutter 0.2.2.1328+dfsg-1 (universe) from Debian unstable (main)

Bug #1222455 reported by Mitsuya Shibata
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

Please sync mikutter 0.2.2.1328+dfsg-1 (universe) from Debian unstable (main)

Explanation of FeatureFreeze exception:
Mikutter is one of the most popular Twitter client for Japanese Linux/BSD users.
Debian package is finally uploaded into sid at the other day.

This package does not depend any other "NEW" package.
At least, pbuider clean.

All changelog entries:

mikutter (0.2.2.1328+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #718791)
  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Mon, 02 Sep 2013 20:15:54 +0900

mikutter (0.2.2.1318+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * repackaging source.
    - core/skin/data/icon.png: remove.
    - vendor/: remove.
    - debian/make-dfsg-tar: make dfsg tarball from orig tarball.
    - debian/copyright: remove vendor/* entry.
    - debian/rules: replace icon.png by DFSG-free one.
    - debian/watch: add dversionmangle= to remove +dfsg mark.
    - debian/README.source: new file.
  * debian/control: update description.
    thanks to Justin B Rye <email address hidden>.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 07 Aug 2013 21:10:46 +0900

mikutter (0.2.2.1297-1) UNRELEASED; urgency=low

   * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Mon, 15 Jul 2013 15:35:08 +0900

mikutter (0.2.2.1264-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/mikutter.desktop: add Keywords entry.
  * bumped Standards-Version to 3.9.4.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sat, 15 Jun 2013 12:36:51 +0900

mikutter (0.2.2.1230-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 08 May 2013 23:39:09 +0900

mikutter (0.2.2.1225-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 03 May 2013 10:55:08 +0900

mikutter (0.2.2.1211-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 24 Apr 2013 21:12:03 +0900

mikutter (0.2.1.1141-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 27 Mar 2013 10:14:04 +0900

mikutter (0.2.1.1137-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sat, 23 Mar 2013 16:01:17 +0900

mikutter (0.2.1.1132-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sun, 10 Mar 2013 12:16:32 +0900

mikutter (0.2.1.1130-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 22 Feb 2013 23:53:49 +0900

mikutter (0.2.1.1127-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 22 Feb 2013 23:53:59 +0900

mikutter (0.2.1.1125-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sat, 26 Jan 2013 20:12:25 +0900

mikutter (0.2.1.1119-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sun, 13 Jan 2013 15:13:55 +0900

mikutter (0.2.1.1117-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 09 Jan 2013 22:54:13 +0900

mikutter (0.2.1.1112-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/mikutter.lintian-overrides: re-add
    mikutter: script-not-executable usr/share/mikutter/core/lib/piapro.rb

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Tue, 08 Jan 2013 12:07:08 +0900

mikutter (0.2.0.1089-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/mikutter.lintian-overrides: remove ruby-bsearch-1.5 entry.
  * debian/mikutter.lintian-overrides: remove all executable-not-elf-or-script
    - debian/rules: remove executable bit all in mikutter/core files
  * debian/copyright (work in progress)
    - add CC-BY-SA-3.0 text
    - remove core/lib/escape.rb

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sun, 16 Dec 2012 15:07:58 +0900

mikutter (0.2.0.1080-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/watch: add downloadurlmangle

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Tue, 11 Dec 2012 00:23:14 +0900

mikutter (0.2.0.1064-1) UNRELEASED; urgency=low

  * New upstream release.
  * add new directory
    - debian/rules: add $(CURDIR)/vendor
    - debian/mikutter.lintian-overrides: update ruby-bsearch-1.5 entry.
  * add menu icons
    - debian/control: add imagemagick to B-D:
    - debian/rules: generate 16x16 and 32x32 icons.
    - debian/menu: add icon16x16 and icon32x32 entries.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 30 Nov 2012 02:15:21 +0900

mikutter (0.2.0.1054-1) UNRELEASED; urgency=low

  * re-created debian/* by dh-make.
    - debian/compat, debian/control, debian/copyright, debian/docs,
      debian/menu, debian/mikutter.1, debian/mikutter.lintian-overrides,
      debian/rules, debian/source, debian/watch
    - debian/mikutter.desktop, debian/mikutter.sh
      consult Sawa (ikoinoba) <email address hidden>'s Ubuntu PPA work. Thank you.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Thu, 08 Nov 2012 23:44:50 +0900

Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :
description: updated
Revision history for this message
Scott Kitterman (kitterman) wrote :

Ack. Approved.

Changed in ubuntu:
status: New → Triaged
Revision history for this message
Micah Gersten (micahg) wrote :

Taking a look

Changed in ubuntu:
assignee: nobody → Micah Gersten (micahg)
status: Triaged → In Progress
Revision history for this message
Micah Gersten (micahg) wrote :

Looks good, syncing, thanks

Changed in ubuntu:
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Released
Revision history for this message
Micah Gersten (micahg) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package mikutter - 0.2.2.1328+dfsg-1
Sponsored for Mitsuya Shibata (cosmos-door)

---------------
mikutter (0.2.2.1328+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #718791)
  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Mon, 02 Sep 2013 20:15:54 +0900

mikutter (0.2.2.1318+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * repackaging source.
    - core/skin/data/icon.png: remove.
    - vendor/: remove.
    - debian/make-dfsg-tar: make dfsg tarball from orig tarball.
    - debian/copyright: remove vendor/* entry.
    - debian/rules: replace icon.png by DFSG-free one.
    - debian/watch: add dversionmangle= to remove +dfsg mark.
    - debian/README.source: new file.
  * debian/control: update description.
    thanks to Justin B Rye <email address hidden>.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 07 Aug 2013 21:10:46 +0900

mikutter (0.2.2.1297-1) UNRELEASED; urgency=low

   * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Mon, 15 Jul 2013 15:35:08 +0900

mikutter (0.2.2.1264-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/mikutter.desktop: add Keywords entry.
  * bumped Standards-Version to 3.9.4.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sat, 15 Jun 2013 12:36:51 +0900

mikutter (0.2.2.1230-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 08 May 2013 23:39:09 +0900

mikutter (0.2.2.1225-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 03 May 2013 10:55:08 +0900

mikutter (0.2.2.1211-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 24 Apr 2013 21:12:03 +0900

mikutter (0.2.1.1141-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 27 Mar 2013 10:14:04 +0900

mikutter (0.2.1.1137-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sat, 23 Mar 2013 16:01:17 +0900

mikutter (0.2.1.1132-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sun, 10 Mar 2013 12:16:32 +0900

mikutter (0.2.1.1130-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 22 Feb 2013 23:53:49 +0900

mikutter (0.2.1.1127-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Fri, 22 Feb 2013 23:53:59 +0900

mikutter (0.2.1.1125-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sat, 26 Jan 2013 20:12:25 +0900

mikutter (0.2.1.1119-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Sun, 13 Jan 2013 15:13:55 +0900

mikutter (0.2.1.1117-1) UNRELEASED; urgency=low

  * New upstream release.

 -- HIGUCHI Daisuke (VDR dai) <email address hidden> Wed, 09 Jan 2013 22:54:13 +0900

mikutter (0.2.1.1112-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/mikutter.lintian-overrides: re-add
    mikutter: s...

Read more...

Revision history for this message
Micah Gersten (micahg) wrote :

Closing the bug in advance, but this will have to go through source and binary NEW before it hits saucy.

Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

Thank you for uploading, but...

I said 'not depend any other "NEW" package' in sync request.
However it is incorrect, to be precise 'not depend *at build* any other "NEW" package'.
Mikutter package depends "ruby-memoize" and "ruby-typed-array".

My sincere apologies for not providing you with the right information.

I filed two sync request.
https://bugs.launchpad.net/ubuntu/+bug/1222648
https://bugs.launchpad.net/ubuntu/+bug/1222649

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments